package gotowe.p36_lokalizacja;

import java.text.DateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;

public class UseLocale2 {

	public static void main(String[] args) {
		Locale polski = new Locale("pl");
		Locale brytyjski = Locale.UK;
		Locale amerykański = Locale.US;
		
		DateFormat dfPL = DateFormat.getDateInstance(DateFormat.FULL, polski);
		DateFormat dfGB = DateFormat.getDateInstance(DateFormat.FULL, brytyjski);
		DateFormat dfAM = DateFormat.getDateInstance(DateFormat.FULL, amerykański);
		DateFormat dfJP = DateFormat.getDateInstance(DateFormat.FULL, Locale.JAPAN);
		
		Date now = Calendar.getInstance().getTime();
		
		System.out.println(dfPL.format(now));
		System.out.println(dfGB.format(now));
		System.out.println(dfAM.format(now));
		System.out.println(dfJP.format(now));
		
		System.out.println(Locale.JAPAN);
	}

}
